--- configure.orig	2012-05-06 15:21:11.000000000 +0200
+++ configure	2012-05-06 15:25:57.000000000 +0200
@@ -130,16 +130,7 @@
 # Prompt if not found
 if (test $found -eq 0) then
   echo 'ERROR: grep utility not found';
-  echo 'Enter location of executable:';
-  while (test 1 -eq 1) 
-    do read grepexe;
-    if (test -x "$grepexe") then
-	  echo \$GREP_EXE = \'$grepexe\'\; >> $conf; 
-      break;
-    else
-      echo 'grep was not found (try again):';
-    fi;
-  done
+  exit 1
 fi
 
 
@@ -159,16 +150,7 @@
 # Prompt if not found
 if (test $found -eq 0) then
   echo 'ERROR: file utility not found';
-  echo 'Enter location of executable:';
-  while (test 1 -eq 1) 
-    do read fileexe;
-    if (test -x "$fileexe") then
-	  echo \$FILE_EXE = \'$filexe\'\; >> $conf; 
-      break;
-    else
-      echo 'file was not found (try again):';
-    fi;
-  done
+  exit 1
 fi
 
 #
@@ -192,16 +174,7 @@
 # Prompt if not found
 if (test $found -eq 0) then
   echo 'ERROR: md5/md5sum utility not found';
-  echo 'Enter location of executable:';
-  while (test 1 -eq 1) 
-    do read md5exe;
-    if (test -x "$md5exe") then
-	  echo \$MD5_EXE = \'$md5exe\'\; >> $conf; 
-      break;
-    else
-      echo 'md5 was not found (try again):';
-    fi;
-  done
+  exit 1
 fi
 
 
@@ -263,25 +236,7 @@
 if (test $found -eq 0) then
   echo 'Sleuth Kit tools were not found in the standard install locations.'
   echo 'If you have not installed them, do so now and configure autopsy again.'
-  echo 'If you have installed them in a non-standard location, then'
-  echo '  enter the "bin" directory now:'
-
-  while (test 1 -eq 1) 
-    do read tskdir;
-    if ((test -x ${tskdir}/fls) && (test -x ${tskdir}/ffind) && (test -x ${tskdir}/blkstat) && \
-          (test -x ${tskdir}/blkls) && (test -x ${tskdir}/blkcat) && \
-          (test -x ${tskdir}/mmls) && (test -x ${tskdir}/mmstat) && \
-          (test -x ${tskdir}/fsstat) && (test -x ${tskdir}/img_stat) && \
-          (test -x ${tskdir}/istat) && (test -x ${tskdir}/ifind) && \
-          (test -x ${tskdir}/icat) && (test -x ${tskdir}/ils) && \
-          (test -x ${tskdir}/srch_strings) && \
-          (test -x ${tskdir}/mactime) && (test -x ${tskdir}/sorter)) then
-      echo \$TSKDIR = \'${tskdir}\'\; >> $conf;
-      break;
-    else
-      echo 'TSK tools were not found or incomplete (try again):';
-    fi;
-  done
+  exit 1
 fi;
 
 # Test for latest version
@@ -362,16 +317,9 @@
 echo 'Autopsy saves configuration files, audit logs, and output to the'
 echo 'Evidence Locker directory.'
 echo ''
-echo 'Enter the directory that you want to use for the Evidence Locker:';
-read locker;
-if (test -d "${locker}") then
-  echo "  $locker already exists"
-else
-  echo '';
-  echo "WARNING: $locker does not exist"
-  mdone=1
-fi
-
+echo 'MacPorts has set the Evidence Locker directory to:'
+echo '  MP_AUTOPSY_LOCKER'
+locker="MP_AUTOPSY_LOCKER";
 echo \$LOCKDIR = \'${locker}\'\; >> $conf;
 
 fi
@@ -404,28 +352,7 @@
 # If it wasn't found, then prompt for it.
 if (test $found -eq 0) then
   echo 'ERROR: perl not found or the incorrect version found';
-  while (test 1 -eq 1) 
-    do echo 'Enter location of perl executable:';
-    read perlexe;
-    if (test -x "$perlexe") then
-      if (test -n "`$perlexe -v 2> /dev/null | awk '/This is perl/ {print $0}'`")       then
-        ver=`$perlexe -e 'print $];'`;
-        if (`$perlexe -e 'exit( $] >= 5.008);'`) then 
-          echo "This version of Perl is too old, 5.8.0 or older needed";
-        else      
-          echo "Correct version found";
-          echo "#!${perlexe} -wT" > ./config.tmp;
-          echo "#!${perlexe}" > ./config2.tmp;
-          found=1; 
-          break; 
-        fi;
-      else
-        echo "Perl found, but is not working.  Try another";
-      fi;
-    else
-      echo "file not found";
-    fi
-  done
+  exit 1
 fi
 
 # Check if this version of Perl supports large files
@@ -444,14 +371,9 @@
 echo "use lib '$PWD/lib/';" >> ./config.tmp
 
 if (test -f ./autopsy) then
-  echo "autopsy already exists, overwrite? (y/n):";
-  read rep;
-  if (test "$rep" = "y") then
-    cat ./config.tmp base/autopsy.base > ./autopsy
-    cat ./config2.tmp base/make-live-cd.base > ./make-live-cd
-  else 
-    echo '  original version was kept';
-  fi
+  echo "autopsy already exists, overwriting";
+  cat ./config.tmp base/autopsy.base > ./autopsy
+  cat ./config2.tmp base/make-live-cd.base > ./make-live-cd
 else
   cat ./config.tmp base/autopsy.base > ./autopsy
   cat ./config2.tmp base/make-live-cd.base > ./make-live-cd
